Bug 249436 - New Port: www/py-fqdn: RFC compliant FQDN validation
Summary: New Port: www/py-fqdn: RFC compliant FQDN validation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-18 15:17 UTC by James
Modified: 2020-09-23 14:35 UTC (History)
1 user (show)

See Also:


Attachments
Shar file (1.57 KB, application/x-shellscript)
2020-09-18 15:17 UTC, James
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James 2020-09-18 15:17:20 UTC
Created attachment 218059 [details]
Shar file

New port of py-fqdn.
Comment 1 Dan Langille freebsd_committer 2020-09-21 20:34:23 UTC
offline communication reveals:

The cached-property decorator/functionality was implemented in Python 3.8 such that the external dependency is only required where PY_FLAVOR <= py37.

I'll see about replacing:

y27_RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}
py34_RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}
py35_RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}
py36_RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}
py37_RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}

with:

.if ${PYTHON_REL} < 3800
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}cached-property>=1.3.0:devel/py-cached-property@${PY_FLAVOR}
.endif
Comment 2 commit-hook freebsd_committer 2020-09-23 14:34:30 UTC
A commit references this bug:

Author: dvl
Date: Wed Sep 23 14:34:24 UTC 2020
New revision: 549730
URL: https://svnweb.freebsd.org/changeset/ports/549730

Log:
  Add www/py-fqdn which validates a fully-qualified domain name (FQDN), in full
  compliance with RFC 1035

  PR:		249436
  Submitted by:	James <whitejv81@gmail.com>

Changes:
  head/www/Makefile
  head/www/py-fqdn/
  head/www/py-fqdn/Makefile
  head/www/py-fqdn/distinfo
  head/www/py-fqdn/pkg-descr
Comment 3 Dan Langille freebsd_committer 2020-09-23 14:34:59 UTC
committed with some modifications as discussed